%CALCULATION OF LOAD PARAMETERS

w = 2*pi*50;
R_S = 9.7                               %ohm
L_S = 43.2 *10^-3;                      %H
V_peak = 900.1 *10^-3;                  %V

V_RMS = V_peak/sqrt(2);                 %V
X_S = w*L_S

%criterias
X_L = -X_S
R_L = sqrt((R_S^2) + ((X_S + X_L)^2))

P_max = 10^3*0.25*(V_RMS^2)/R_L         %mW

